using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp5
{
    class Program
    {
        static void Main(string[] args)
        {
            int x = int.Parse(Console.ReadLine());
            int y = int.Parse(Console.ReadLine());
            string noviBroj = "";

            while (x > 0 || y > 0)
            {
                int a = x % 10;
                int b = y % 10;
                y /= 10;
                x /= 10;
                if (a == b && x > 0 && y > 0) noviBroj = a + "" + b + noviBroj;
                else if (a == b) noviBroj = a + noviBroj;
                else if (a > b) noviBroj = a + noviBroj;
                else if (a < b) noviBroj = b + noviBroj;
            }
            Console.WriteLine(noviBroj);
        }
    }
}